Bug 869296 - [RFE] RHEV-M guest settings can differ from the actual OS/arch that's installed on a guest
Summary: [RFE] RHEV-M guest settings can differ from the actual OS/arch that's install...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-23 14:01 UTC by Ricky Nelson
Modified: 2019-03-22 07:03 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This feature provides additional guest system information such as operating system, version, architecture, and the currently configured time zone. Additionally, it shows a warning in form of an exclamation mark with a tool tip in the Administration Portal's virtual machine overview list when the operating system does not match the configured type, or if a Windows virtual machine timezone configured as a hardware timezone offset does not match the reported value. This feature requires the Red Hat Enterprise Virtualization Manager Guest Agent to be installed on the guest operating system.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:27:47 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 28013 master MERGED Support for timezone reporting Never
oVirt gerrit 28938 master MERGED Add OS info reporting Never
oVirt gerrit 28940 master MERGED Added support for reporting the timezone and os info Never
oVirt gerrit 29322 master MERGED backend: Implementation support for GuestOsInfo and Timezone reporting Never
oVirt gerrit 30508 master MERGED Mark VM as problematic when timezone or OS changed Never
oVirt gerrit 33376 master MERGED frontend: Implementation support for GuestOsInfo and Timezone reporting Never
oVirt gerrit 41813 master MERGED restapi: Implementation for GuestOsInfo and Timezone reporting Never
Red Hat Knowledge Base (Solution) 99213 None None None Never

Description Ricky Nelson 2012-10-23 14:01:42 UTC
2. Who is the customer behind the request?
Account name: Red Hat IT
Customer segment: 1
TAM/SRM customer: yes/no
Strategic Customer: yes


3. What is the nature and description of the request?

If we create a VM and specify some OS (i.e. RHEL 6 x86_64) for it (this influences settings of libvirt, qemu-kvm, etc.), then install a completely different OS such as Windows 7 64-bit, RHEV-M should correct its entry for what's being reported back from the guest agent.

We already have info from the agent so we should go ahead and use it. The guest OS could be changed whenever VM is in down status.


4. Why does the customer need this? (List the business requirements here)

Settings in RHEV-M influences which parameters and settings of VM libvirt passes to KVM, i.e. it's default virtual graphic adapter,
some Vmemory and VCPU tweaks, etc. So this actually influences performance of the guest itself.


5. How would the customer like to achieve this? (List the functional
requirements here)

Have the guest agent's data be used to modify the entry within RHEV-M if the OS level and Arch type is different that what's initially set.


6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
Set the OS to RHEL 6 x86_64 in RHEV-M and install Windows 7 64-bit. Install the guest agent on the Windows box. Either the RHEV-M should be updated then, or when the VM is in a down status.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
no

8. Does the customer have any specific timeline dependencies?
no

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
rhevm

11. Would the customer be able to assist in testing this functionality if
implemented?
yes

Comment 1 Itamar Heim 2013-05-12 06:55:55 UTC
maybe have the guest report the guest OS, and compare/warn when guest moves to 'up' if they do not match?
(I'd limit to audit log warning for user to take the corrective action)

Comment 2 Vinzenz Feenstra [evilissimo] 2013-05-13 10:14:48 UTC
(In reply to comment #1)
> maybe have the guest report the guest OS, and compare/warn when guest moves
> to 'up' if they do not match?
> (I'd limit to audit log warning for user to take the corrective action)

The guest agent is reporting partially the guest OS already, if it is running on windows it is reporting for example 'Win 8', 'Win 7', 'Win 2008', 'Win 2008 R2' etc
On Linux it's reporting the kernel-release 'uname -r'

HTH

Comment 3 Vinzenz Feenstra [evilissimo] 2013-05-13 10:31:05 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > maybe have the guest report the guest OS, and compare/warn when guest moves
> > to 'up' if they do not match?
> > (I'd limit to audit log warning for user to take the corrective action)
> 
> The guest agent is reporting partially the guest OS already, if it is
> running on windows it is reporting for example 'Win 8', 'Win 7', 'Win 2008',
> 'Win 2008 R2' etc
> On Linux it's reporting the kernel-release 'uname -r'
> 
> HTH

It's reported as 'guestOs' in VmStats

Comment 5 Michal Skrivanek 2014-04-14 10:10:29 UTC
report TZ as well

Comment 6 Michal Skrivanek 2014-05-12 10:22:00 UTC
didn't make it for 3.5

we want to report the OS to distinguish at least Linux/Windows, architecture, and TZ settings (TZ offset in guest should match offset in configured TZ)

Comment 7 Max Kovgan 2015-06-28 14:13:56 UTC
ovirt-3.6.0-3 release

Comment 8 sefi litmanovich 2015-10-15 14:10:39 UTC
Verified with rhevm-3.6.0-0.18.el6.noarch.
link to polarion test run:

https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3%5F6%5FVIRT%5FGuest%5FOS%5FTZ%5FDifference%5FFrom%5FSetting%5F12102015

Comment 11 errata-xmlrpc 2016-03-09 20:27:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.